Subject: bug#31990: 26.1; Stuck in loop trying to send bug report

From: Robert Pluim <[email-masked]>
Date: Tue, 21 Aug 2018 12:22:19 +0200

Live System User <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>> Live System User <[email-masked]> writes:
>>
>>>> Then how do you expect emacs to know that for those 2 particular
>>>> servers it should prompt straight away?
>>>
>>>   Because (I believe) that the protocol requires a "password" or
>>>   certificate.
>>
>> Thatʼs unfortunately not the way SMTP authentication works,
>
>   I thought from my original message that you responded to that
>   you understood that the "protocol" I'm referring to (above) is
>   TLS (in conjunction with SMTP), not SMTP separately or in the
>   absense of a TLS connection.
>
>   Perhaps we are miscommunicating?

We are. Iʼm only talking about SMTP authentication, not TLS. Without
going back and rereading, my memory says that it turned out you were
not having a TLS issue.

>
>>                        itʼs very
>> much optional
>
>   I believe that either a "password" or a certicate is needed
>   to establish a TLS conection and not optional.
>

You need a certificate on the server side for TLS. For SMTP auth you
need a password. The two are completely separate protocols.

>>               (and some servers change their authentication
>> requirements based on the recipient of the mail youʼre trying to
>> send).
>
>   Are we still talking about TLS connectons?
>   
>   Unless there is NO authenication required, a changed authenication
>   requirement is still an authenication requiring a "password" or
>   certificate if it involves TLS, nonetheless.
>
>   That valid "password" can even be blank, an email address or anything
>   (including the recipient) depending on the server's valid authenication
>   method.
>
>   I'm saying that I believe the SSL/TLS or STARTTLS protocols require
>   a "password" or certficate.  Are you saying that's incorrect or it's
>   not necessarily so?
>>

As noted above, Iʼm only talking about SMTP authentication.

Robert